local type = type
local os = os

module (...)

-- timestamp of last midnight
function lastmidnight (time)
	local d = os.date('*t', time)
	return os.time ({year=d.year, month=d.month, day=d.day, hour=0})
end

-- number of seconds since last midnight
function dayseconds(time)
	time = time or os.time()
	return os.difftime (time, lastmidnight(time))
end

function localtoUTC(time, timezone)
	time = time or os.time()
	if type(time) == "table" then
		time = os.time(time)
	end

	local d = os.date('*t', time)
	if d.isdst then timezone = timezone+1 end
	d = os.date('*t', time - timezone*3600)
	return d
end